<html>
    <head>
    <link rel="stylesheet" href="../UI_Common/Webix/2.4.7/webix.css" type="text/css">
    <script src="../UI_Common/Webix/2.4.7/webix.js" type="text/javascript"></script>  
	</style>

    </head>
    <body>
        <div id="bootscreen"></div>
        <script type="text/javascript">
            var launch_menu_data =
            [
                {
                    id: 1,
                    title: "Test Application",
                    unique_name:"test_application",
                    status:"Complete",
                    details: "Dummy application to allow quick testing of new idea's"
                },
                 {
                     id: 2,
                     title: "Unit Test",
                     unique_name: "unit_test",
                     status:"In Development",
                     detail: "Run through C++ unit tests and show results in UI and output file"
                 },
                {
                    id: 3,
                    title: "Pong",
                    unique_name: "pong",
                    status:"In Development",
                    detail: "Pong, hopefully with network play :)"
                },
                {
                    id: 4,
                    title: "Ultimate Frisbee",
                    unique_name: "frisbee",
                    status:"Not Started",
                    detail: "This is a simple game to prove out gameplay technology"
                },
                {
                    id: 5,
                    title: "Eco",
                    unique_name: "eco",
                    status: "Not Started",
                    detail: "What I always want to build :)"
                }
            ];

            // This is what will be passed to the C++
            var launch_unique_name = "";
            var launch_id = 0;

            webix.ui
            (
                {
                    view:"window", 
                    head:"Select Game To Launch",
                    position: "center",
                    body:
                    {
                        type:"line",
                        rows:
                        [
                            {
                                view:"list", 
                                template: "<strong>#title#</strong> <div style='padding-left:18px'> Details: <em>#detail#</em></div>",
                                
                                select: true, //enables selection 
                                scroll:false,
                                autoheight:true,
                                autowidth: true,
                               
                                data:launch_menu_data,
                                on: {
                                    'onAfterSelect': function (id)
                                    {
                                        launch_unique_name = this.getItem(id).unique_name; 
                                        launch_id = id;
                                    }
                                },
                            }, 
                            { 
                                view: "toolbar", elements:
                                [
                                    { view:"button", value:"Launch Level", click:"launch_level"}
                                ]
                            }
                        ]
                    }
                }
            ).show();
                
            function getItem(dataArray, id)
            {
                var arrayLength = dataArray.length;
                for (var i = 0; i < arrayLength; i++) 
                {
                    var data = dataArray[i];
                    if (data.id == id)
                    {
                        return data;
                    }
                }
                return null;
            }

            function launch_level()
            {
                var foundItem = getItem(launch_menu_data, launch_id);

                // If we cannot find the correct id then we have a problem
                if (foundItem == null)
                {
                    levelID = -1;
                   // webix.alert({ type: "alert-error", text: "There has been a problem we could not find the selected item. Talk to an engineer" });
                    return;
                }

                app.Application_LaunchLevel(launch_id, launch_unique_name);
            }            
        </script>
    </body>
</html>